# PCLinuxOS Copyright by Bill Reynolds (Texstar)
#
%define __libtoolize    /bin/true
Summary: 	Monkey's Audio Codec (MAC) utility and library
Summary(de):	Monkey's Audio Codec (MAC) Programme und Bibliothek	
Name: 	 	mac
Version: 	3.99
Release: 	%mkrel 2.u4b5
License: 	See License.htm
Group: 	 	System Environment/Libraries
URL:     	http://supermmx.org/linux/mac/
Source:  	http://dl.sf.net/mac-port/mac-%{version}-u4-b5.tar.gz
Patch:		%{name}_APELink.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	gcc-c++
BuildRequires: 	nasm

%description
Monkey’s Audio is a fast and easy way to compress digital music. Unlike
traditional methods such as mp3, ogg, or lqt that permanently discard
quality to save space, Monkey’s Audio only makes perfect, bit-for-bit
copies of your music. That means it always sounds perfect  – exactly the
same as the original. Even though the sound is perfect, it still saves a
lot of space.
#german
%description -l de
Das besondere am Monkey-Codec ist, dass er im Gegensatz zu anderen Codecs 
wie MP3, komplett ohne Informationsverlust auskommt. Dafür werden die 
Dateien aber nicht ganz so klein, ein 3-Minuten-Song benötigt etwa 18 
MByte Speicherplatz.

Mehr Qualität, aber weniger Kompatibilität. Mit dem Monkey-Codec sollten 
Sie nur Dateien umwandeln, die Sie nicht auf einem Gerät wie Apple iPod 
mitnehmen wollen. Alternative Codecs sind etwa FLAC oder WavPack. 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc src/Credits.txt src/History.txt src/License.htm src/Readme.htm
%{_bindir}/mac
%{_libdir}/*.so.*

#---------- devel --------------------------------

%package 	devel
Summary: 	Development files for the Monkey's Audio Codec library
Summary(de):	Entwickler Paket für Monkey´s Audio Codec (MAC) Bibliothek
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

%description devel
This package contains the development files for the Monkey's Audio Codec library.
#german
%description devel -l de
Headerdateien und Bibliotheken zum erstellen von Anwendungen
basierend auf die Monkey´s Audio Codec (MAC) Bibliothek. 

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/mac/
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

#------------ build area ------------------------

%prep
%setup -n %{name}-%{version}-u4-b5
%patch

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%name-%version-u4-b5

#------------- changelog ---------------------

%changelog
* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 3.99-2.u4b5pclos2012
- process

* Mon May 21 2012 leiche <meisssw01 at gmail.com> 3.99-2.u4b5pclos2012
- rebuild for 64 bit
- add german description
- convert archive to xz
- create patch file

* Wed Sep 17 2008 don_crissti <don_crissti@gmx.com> 3.99-1.u4b5pclos2007
- import mac

